//
// $Id: Hello.h 76591 2007-01-25 18:17:52Z elliott_c $
//

#ifndef HELLO_H
#define HELLO_H
#include /**/ "ace/pre.h"

#include "TestS.h"

/// Implement the Test::Hello interface
class Hello
  : public virtual POA_Test::Hello
{
public:
  /// Constructor
  Hello (CORBA::ORB_ptr orb);

    virtual void op (
        ::Test::Fls_out fstruct,
        ::Test::Vls_out vstruct
      )
      ACE_THROW_SPEC ((
        ::CORBA::SystemException
      ));

  virtual void shutdown (void)
    ACE_THROW_SPEC ((CORBA::SystemException));

private:
  /// Use an ORB reference to convert strings to objects and shutdown
  /// the application.
  CORBA::ORB_var orb_;
};

#include /**/ "ace/post.h"
#endif /* HELLO_H */
